package minio

import (
	"github.com/minio/minio-go/v7"
	"github.com/minio/minio-go/v7/pkg/credentials"
)

func NewMinioClient(endpoint, successKeyId, secretAccessKey string) (*minio.Client, error) {
	opt := &minio.Options{
		Creds:  credentials.NewStaticV4(successKeyId, secretAccessKey, ""),
		Secure: false,
	}
	minioClient, err := minio.New(endpoint, opt)
	return minioClient, err
}
